
/*
 * KITNARF's Java Library <http://www.kitnarf.cz/java/>.
 * COPYRIGHT (C) 2009 Petr Frantík (www.kitnarf.cz). ALL RIGHTS RESERVED. 
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


package cz.kitnarf.colorfunction;

import java.awt.*;
import java.awt.event.*;


//**************************************************************************************************************************
/**
 *Frame for showing up a color function.
 *
 *@author Petr Frantík
 *@version 20090404
 */
public class ScaleFrame extends Frame implements WindowListener
{
	private ColorFunction cf;

	//******************************************************************************************************************
	ScaleFrame(ColorFunction cf)
	{
		this.cf=cf;
		//
		this.setTitle(getClass().getName());
		this.addWindowListener(this);
		//
		this.setLayout(new FlowLayout());
		this.add(new ScaleCanvas(this,800,20));
		//
		this.pack();
		//
		this.setLocationRelativeTo(null);
		this.setVisible(true);
	}



	//******************************************************************************************************************
	public ColorFunction getColorFunction() {return cf;}



	//******************************************************************************************************************
	//udalosti okna
	public void windowClosing(WindowEvent e)
	{
		System.exit(0);
	}

	public void windowOpened(WindowEvent e)	{}
	public void windowClosed(WindowEvent e)	{}
	public void windowActivated(WindowEvent e)	{}
	public void windowDeactivated(WindowEvent e)	{}
	public void windowIconified(WindowEvent e)	{}
	public void windowDeiconified(WindowEvent e)	{}
}
