
/*
 * KITNARF's Java Library <http://www.kitnarf.cz/java/>.
 * COPYRIGHT (C) 2009 Petr Frantík (www.kitnarf.cz). ALL RIGHTS RESERVED. 
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


package cz.kitnarf.colorfunction;

import java.awt.*;


//**************************************************************************************************************************
/**
 *Trilinear color function. This function is composed from three straight
 *segments. It has 766 colors.
 *
 *@author Petr Frantík
 *@version 20090404
 */
public class TrilinearColorFunction extends ColorFunction
{



	//*****************************************************************************************
	/** {@inheritDoc} */
	@Override
	public Color getColor(double cd)
	{
		int[] ci=new int[3];
		//
		//
		if(cd<=0.333333333333)
		{
			ci[0]=255;
			ci[1]=(int)(cd*766);
			ci[2]=0;
		}
		else if(cd<=0.666666666666)
		{
			ci[0]=(int)((0.6666666666-cd)*766+0.333333333333);
			ci[1]=255;
			ci[2]=255-ci[0];
		}
		else
		{
			ci[0]=0;
			ci[1]=(int)((1.0-cd)*766);
			ci[2]=255;
		}
		//
		return new Color(ci[0],ci[1],ci[2]);
	}

}
